Summary:       A multi-platform support library
Name:          libuv
Version:       0.11.28
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         System Environment/Libraries
Source0:       http://github.com/joyent/%{name}/archive/%{name}-%{version}.tar.gz
URL:           http://github.com/joyent/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Joyent, Inc.
BuildRequires: pkgconfig

%description
Libuv is a multi-platform support library with a focus on asynchronous I/O.
It was primarily developed for use by Node.js, but it's also used by Rust,
Luvit, Julia, pyuv, and others.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig

%description   devel
The %{name}-devel package contains the libraries and header files for
developing software using %{name}.


%package       static
Summary:       Static libraries for %{name}
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description   static
The %{name}-static package contains the statically linkable libraries
for %{name}.


%prep
%setup -q -n %{name}-%{version}


%build
export CFLAGS="${RPM_OPT_FLAGS} -D_GNU_SOURCE=1 -fno-strict-aliasing"

%configure \
	--enable-static \
	--enable-shared \
	--enable-largefile

%{__make} V=1 %{?_smp_mflags}


#%check
#%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.{?,??}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTING* ChangeLog LICENSE README*
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/uv-errno.h
%{_includedir}/uv-linux.h
%{_includedir}/uv-threadpool.h
%{_includedir}/uv-unix.h
%{_includedir}/uv-version.h
%{_includedir}/uv.h
%{_libdir}/%{name}.la
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files static
%defattr(-,root,root)
%{_libdir}/%{name}.a


%changelog
* Fri Aug 08 2014 Peter Pramberger <peterpramb@member.fsf.org> - 0.11.28-1
- New version (0.11.28)

* Fri May 02 2014 Peter Pramberger <peterpramb@member.fsf.org> - 0.11.25-1
- New version (0.11.25)

* Thu Mar 20 2014 Peter Pramberger <peterpramb@member.fsf.org> - 0.11.22-1
- Initial build
